Skip to main content
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
routes
Error
A valid request URL is required to generate request examples
[
  {
    "id": "<string>",
    "primary": true,
    "production_url": "<string>",
    "attributes": {},
    "type": "proxy",
    "tls": {
      "strict_transport_security": {
        "enabled": true,
        "include_subdomains": true,
        "preload": true
      },
      "min_version": "TLSv1.0",
      "client_authentication": "request",
      "client_certificate_authorities": [
        "<string>"
      ]
    },
    "to": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required
environmentId
string
required

Response

default - application/json
id
string
required

The identifier of ProxyRoute

primary
boolean | null
required

This route is the primary route of the environment

production_url
string | null
required

How this URL route would look on production environment

attributes
Arbitrary attributes · object
required

Arbitrary attributes attached to this resource

type
enum<string>
required

Route type.

Available options:
proxy,
redirect,
upstream
tls
TLS settings · object
required

TLS settings for the route.

to
string
required